<?php

/**
 * Modules config.
 * @variable array $config
 * @package CTLF
 */

/**
 * Directory where the system files are located.
 * @constant string SYSTEM_DIR
 * @package CTLF
 */

/**
 * Directory where the web-accessible files and scripts are located.
 * @constant string WEB_DIR
 * @package CTLF
 */

/**
 * Directory where the library files are located.
 * @constant LIB_DIR
 * @package CTLF
 */

/**
 * Directory where the module files are located.
 * @constant MODULE_DIR
 * @package CTLF
 */

/**
 * Directory where the engine files are located.
 * @constant ENGINE_DIR
 * @package CTLF
 */

/**
 * Engine start script file name.
 * @constant START_ENGINE
 * @package CTLF
 */

/**
 * Template directory.
 * @constant TPL_DIR
 * @package CTLF
 */

/**
 * Web-accessible files directory.
 * @constant FILES_DIR
 * @package CTLF
 */

/**
 * Directory for storing web-accessible uploaded files.
 * @constant UPLOADS_DIR
 * @package CTLF
 */
?>
