<?php

// 1. Require object loading library:
require_once(ENGINE_DIR.'/ObjectLoading.flib.php');

// 2. Load mapper object:
$mapper = &loadObject('Mapper.Mapper');


if (is_object($mapper))
{
    // 3. Map request to module and return result to browser:
    echo $mapper->mapRequest();
}
else
{
    die('<p>Unable to load mapper object in '.basename(__FILE__).'. Object loader error: '.getObjectLoadError('Mapper.Mapper').'</p>');
}

// 4. Close connection to client:
// ... not sure how to do this yet
// ... maybe it should be done in mapper?

// 5. Unload modules:
$object_names = array_reverse(array_keys($modules));

foreach ($object_names as $oname)
{
    unloadObject($oname, $modules[$oname]);
}

?>