<?php

/**
 *
 */
class ctlfWebShoutbox
{
    /**
     *
     */
    var $name;
    
    /**
     *
     */
    var $config;
    
    /**
     *
     */
    var $dir;
    
    /**
     *
     */
    function ctlfWebShoutbox($my_name, $my_config)
    {
        $this->name = $my_name;
        $this->config = $my_config;
        
        if (!@$this->config['limit'])
            $this->config['limit'] = 10;
        
        $this->dir = getModuleDir($my_name);
    }
    
    
    /**
     *
     */
    function listMethodsAllowedForWeb()
    {
        return array('showLatest', 'submitMessage');
    }
    
    
    /**
     *
     */
    function showLatest()
    {
        $tpl = &loadObject('ctl.tpl');
        $db = &loadObject('ADOdb');
        
        $sql = 'SELECT * FROM '.$this->config['tablename'].' ORDER BY `time` DESC';
        $result = $db->SelectLimit($sql, $this->config['limit']);
        $tpl->setVar('messages', $result->GetArray());
        
        return $tpl->process($this->dir.'/tpl/shoutbox-latest.tpl');
    }
    
    
    /**
     *
     */
    function submitMessage()
    {
        // errors array
        $errors = array();
        
        // fill message with default values:
        $message = array(
            'name' => strip_tags(@$_REQUEST['name']),
            'message' => strip_tags(@$_REQUEST['message']),
            'time' => time(),
            'page_title' => strip_tags(@$_REQUEST['page_title']),
            //'referer' => $_SERVER[''],
            'ip' => $_SERVER['REMOTE_ADDR'],
            'browser' => $_SERVER['HTTP_USER_AGENT']
            );
        
        // check name:
        if (!$message['name'] || $message['name'] == 'Your name')
            $errors[] = 'Please enter your name.';
        // check message:
        if (!$message['message'] || $message['message'] == 'Your message')
            $errors[] = 'Please enter your message.';
        
        // if errors, show them in page:
        if (sizeof($errors))
        {
            $tpl = &loadObject('ctl.tpl');
            $tpl->setVar('errors', $errors);
        }
        else // els if ok, insert the message into DB:
        {
            $db = &loadObject('ADOdb');
            $message['id'] = $db->GenID();
            $ok = $db->AutoExecute($this->config['tablename'], $message, 'INSERT');
            
            if (!$ok)
            {
                $tpl = &loadObject('ctl.tpl');
                $tpl->setVar('errors', array('Failed to save your message.'));
            }
        }
        
        return $this->showLatest();
    }
    
    
    /**
     *
     */
    function showBox()
    {
        $tpl = &loadObject('ctl.tpl');
        return $tpl->process($this->dir.'/tpl/shoutbox-box.tpl');
    }
}

?>