<?php

$tpl = &loadObject('ctl.tpl');
$tpl->setVar('title', 'About');

?>
<h1>About</h1>
<p>Cheap Tricks Library Framework (CTLF) is a lightweight PHP web-application framework providing:</p>
<ul>
<li>simple object loading mechanism</li>
<li>modular application structure</li>
<li>standard module interfaces</li>
</ul>
<p>This means that the framework lets you easily load predefined objects in any place of your code. It also allows grouping these objects into modules.</p>
<p>The framework and associated libraries are licensed under opensource MIT style <a href="index.php?page=license">license</a>.</p>

<h2>Download</h2>
<p>You can download latest version of the framework from SourceForge:</p>
<p><a href="http://sourceforge.net/project/showfiles.php?group_id=139005&package_id=152536">http://sourceforge.net/project/showfiles.php?group_id=139005&package_id=152536</a></p>

<p>Current version is: <a href="http://sourceforge.net/project/showfiles.php?group_id=139005&package_id=152536&release_id=327836"><em>initial-alpha</em></a>.</p>

<h2>Development</h2>
<a href="http://sourceforge.net/"><img src="http://sourceforge.net/sflogo.php?group_id=139005&type=5" alt="SourceForge.net logo" align="right" hspace="10" border="0"></a>
<p>Development takes place at the <a href="http://www.sourceforge.net">SourceForge</a> website.</p>
<p>Project home page is at: <a href="http://sourceforge.net/projects/ctlf/">http://sourceforge.net/projects/ctlf/</a>.</p>
<p>You can subscribe to <a href="http://lists.sourceforge.net/lists/listinfo/ctlf-discussion">ctlf-discussion</a> mailinglist to participate in project planning.</p>

<p><em>Files in CVS will be available in a few days.</em></p>

<h2>Changelog / News</h2>
<dl>
<dt>2005-05-17</dt>
<dd>CTLF pulished on SourceForge.</dd>
<dt>2005-04-28</dt>
<dd><a href="http://sourceforge.net/project/showfiles.php?group_id=139005&package_id=152536&release_id=327836">Initial CTLF release</a>.</dd>
</dl>

<h2>Credits</h2>
<p>Thanks to Donatas Aleksandravičius (Donis), Žilvinas Sadauskas, Darius Kučinskas, Linas Gricius and others for their interest and support.</p>