<html>
<head>
    <meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
    <title>CTLF: <?php echo $title; ?></title>
    <link rel="stylesheet" href="files/css/ctlf.css">
</head>
<body>

<div id="top"><a href="index.php"><img id ="logo" alt="CTL logo" src="files/images/ctl_logo.gif" align="absbottom" border="0"></a>
Cheap Tricks Library Framework</div>


<div id="left_menu">
<strong>Essentials</strong>
<ul>
    <li><a href="index.php">About</a></li>
    <li><a href="index.php?page=license">License</a></li>
    <li><a href="index.php?page=philosophy">Philosophy</a></li>
</ul>

<strong>Introduction</strong>
<ul>
    <li><a href="index.php?page=introduction/how_it_works">How It Works</a></li>    
    <li><a href="index.php?page=introduction/how_to_add_simple_page">How To Add A Simple Page</a></li>
    <li><a href="index.php?page=introduction/how_to_add_guestbook">How To Add A Guestbook</a></li>
</ul>

<strong>Documentation</strong>
<ul>
    <li><a href="index.php?page=documentation/object_loading">Object Loading Mechanism</a></li>
    <li><a href="index.php?page=documentation/file_and_dir_structure">File and Directory Structure</a></li>
    <li><a href="index.php?page=documentation/const_var_functions">Constants, Variables, Functions</a></li>
    <li><a href="index.php?page=documentation/module_interfaces">Standard Module Interfaces</a></li>
</ul>

<strong>Modules</strong>
<ul>
    <li><a href="index.php?page=modules/Mapper">Mapper</a></li>
    <li><a href="index.php?page=modules/Site">Site</a></li>
    <li>Auth</li>
    <li>DB</li>
    <li>Errors</li>
    <li>HtmlEditor</li>
    <li>HTTP</li>
    <li>Mailer</li>
    <li>Tpl</li>
    <li>Session</li>
    <li>Upload</li>
    <li>UserInfo</li>
</ul>

</div>

<?php



?>        

<div id="content">
<?php

echo $shoutbox;

echo $html;

?>
</div>

</body>
</html>